// SPDX-License-Identifier: MIT

import { test as setup, expect } from '@playwright/test';
import { login } from './lib/login.ts';

const authFile = '.auth/login.json';

setup('authenticate', async ({ page }) => {
  // Perform authentication steps. Replace these actions with your own.
  await page.goto('/');

  await expect(page).toHaveTitle(/ログイン/);

  await login(page);

  // End of authentication steps.

  await page.context().storageState({ path: authFile });
});
